package preferences;

import org.aspectj.lang.Signature;

/**
 * @author Vaidas Gasiunas
 *
 * Interface for sources of preferences
 */
public interface PreferenceSource {
	
	public String get(Signature fieldInfo, String def);
	
	public int getInt(Signature fieldInfo, int def);
	
	public long getLong(Signature fieldInfo, long def);
	
	public boolean getBoolean(Signature fieldInfo, boolean def);
	
	public double getDouble(Signature fieldInfo, double def);
	
	public float getFloat(Signature fieldInfo, float def);
	
	public byte[] getByteArray(Signature fieldInfo, byte[] def);
	
	public void put(Signature fieldInfo, String val);
	
	public void putInt(Signature fieldInfo, int val);
	
	public void putLong(Signature fieldInfo, long val);
	
	public void putBoolean(Signature fieldInfo, boolean val);
	
	public void putDouble(Signature fieldInfo, double val);
	
	public void putFloat(Signature fieldInfo, float val);
	
	public void putByteArray(Signature fieldInfo, byte[] val);
}
